Bug 477305 - system-config-authentication Crashes on start up
system-config-authentication Crashes on start up
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 03:46 EST by Amir Hedayaty
Modified: 2008-12-22 03:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 03:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amir Hedayaty 2008-12-20 03:46:12 EST
Description of problem:
The Program does no start up, give the following error:

(authconfig-gtk:14461): libglade-WARNING **: could not find glade file '/usr/share/authconfig/authconfig.glade'
Traceback (most recent call last):
  File "/usr/sbin/authconfig-gtk", line 446, in <module>
    dialog = module.get_main_widget()
  File "/usr/sbin/authconfig-gtk", line 344, in get_main_widget
    'authconfig', "authconfig")
RuntimeError: could not create GladeXML object


Version-Release number of selected component (if applicable):
authconfig-5.4.4-1.fc10.x86_64

How reproducible:
just run it

Steps to Reproduce:
1. run it from the menu/command line (system-config-authentication or authconfig-gtk)
2.
3.
  
Actual results:
the program crushes

Expected results:
it should work

Additional info:
"rpm -ql" shows no glade file, it is obvious that the glade file is not packed with the application (maybe just on 64bit machines)

"rpm -qV authconfig" shows the package is OK, also there has been no update

I guess just packing the glade file will fix the problem
Comment 1 Tomas Mraz 2008-12-21 08:26:45 EST
Try 'rpm -V authconfig-gtk'. The glade file is part of the GUI subpackage and not the base package.

I suppose something is hosed up on your system.
Comment 2 Amir Hedayaty 2008-12-21 17:02:21 EST
Hmm, I think now I need to change the title of the bug!

authconfig-gtk was not installed but the command existed (and gave the glade error), also the shortcut existed on the menu. By installing the package the bug is fixed for me.

rpm -qf /usr/bin/authconfig-gtk says it does not belong to any rpm package. How come I had it without installing it?
Comment 3 Tomas Mraz 2008-12-22 03:16:31 EST
I am sorry but I have no idea how could that happen. Unfortunately without a reproducer it is impossible to fix the problem. Please reopen the bug if you're able to reproduce the bug consistently.
Comment 4 Amir Hedayaty 2008-12-22 03:24:32 EST
That may need an other installation :(
Anyway if I install it on a system of friend of mine, I will test it. (I agree that the bugs should be reproducible)

Note You need to log in before you can comment on or make changes to this bug.